SystemOrganization addCategory: #'OmniST-Benchmarks-Core'!

BenchmarkGameSuite subclass: #OstBenchGameSuite
	instanceVariableNames: 'domain'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OmniST-Benchmarks-Core'!

!OstBenchGameSuite methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:07'!
benchBinaryTrees
	[super benchBinaryTrees] omni: domain! !

!OstBenchGameSuite methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:07'!
benchChameleons
	[super benchChameleons ] omni: domain! !

!OstBenchGameSuite methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:08'!
benchChameneosRedux 
	[super benchChameneosRedux ] omni: domain! !

!OstBenchGameSuite methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:08'!
benchFannkuchRedux
	[super benchFannkuchRedux ] omni: domain! !

!OstBenchGameSuite methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:08'!
benchFasta
	[super benchFasta ] omni: domain! !

!OstBenchGameSuite methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:08'!
benchNBody
	[super benchNBody ] omni: domain! !

!OstBenchGameSuite methodsFor: 'running' stamp: 'StefanMarr 9/6/2012 18:06'!
setUp
	domain := OstDomain new.! !

SMarkCompiler subclass: #OstBenchCompiler
	instanceVariableNames: 'domain'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OmniST-Benchmarks-Core'!

!OstBenchCompiler methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:09'!
benchCompiler
	[super benchCompiler] omni: domain! !

!OstBenchCompiler methodsFor: 'running' stamp: 'StefanMarr 9/6/2012 18:09'!
setUp
	domain := OstDomain new.! !

SMarkSlopstone subclass: #OstBenchSlopstone
	instanceVariableNames: 'domain'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OmniST-Benchmarks-Core'!

!OstBenchSlopstone methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:11'!
benchStone
	[super benchStone] omni: domain.! !

!OstBenchSlopstone methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:11'!
setUp
	super setUp.
	domain := OstDomain new.! !

SMarkSmopstone subclass: #OstBenchSmopstone
	instanceVariableNames: 'domain'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OmniST-Benchmarks-Core'!

!OstBenchSmopstone methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:12'!
benchStone
	[super benchStone] omni: domain.! !

!OstBenchSmopstone methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:12'!
setUp
	super setUp.
	domain := OstDomain new.! !

SMarkLoops subclass: #OstBenchLoops
	instanceVariableNames: 'domain'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OmniST-Benchmarks-Core'!

!OstBenchLoops commentStamp: 'StefanMarr 9/6/2012 18:00' prior: 0!
OstBenchLoops relies on the SMarkLoops benchmarks but will execute them in the context of a domain.!

!OstBenchLoops methodsFor: 'benchmarking' stamp: 'StefanMarr 9/12/2012 13:29'!
benchArrayAccess
	[self ostArrayAccess] omni: domain.! !

!OstBenchLoops methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:02'!
benchClassVarBinding
	[super benchClassVarBinding ] omni: domain.! !

!OstBenchLoops methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:02'!
benchFloatLoop
	[super benchFloatLoop ] omni: domain.! !

!OstBenchLoops methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:02'!
benchInstVarAccess
	[super benchInstVarAccess ] omni: domain.! !

!OstBenchLoops methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:02'!
benchIntLoop
	[super benchIntLoop ] omni: domain.! !

!OstBenchLoops methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:03'!
benchSend
	[super benchSend ] omni: domain.! !

!OstBenchLoops methodsFor: 'benchmarking' stamp: 'StefanMarr 9/6/2012 18:03'!
benchSendWithManyArguments
	[super benchSendWithManyArguments ] omni: domain.! !

!OstBenchLoops methodsFor: 'benchmarking' stamp: 'StefanMarr 9/12/2012 13:29'!
ostArrayAccess
	| i array obj |
	
	array := OstArray new: 1.
	obj   := OstObject new.
	
	i := self problemSize.
	[i > 0] whileTrue: [
		array at: 1.
		array at: 1 put: obj.
		
		i := i - 1.
	].! !

!OstBenchLoops methodsFor: 'running' stamp: 'StefanMarr 9/6/2012 18:01'!
setUp
	domain := OstDomain new.! !
